Name:			os-net-config
Version:		0.1.4
Release:		6%{?dist}
Summary:		Host network configuration tool

License:		ASL 2.0
URL:			http://pypi.python.org/pypi/%{name}
Source0:		http://tarballs.openstack.org/%{name}/%{name}-%{version}.tar.gz

#
# patches_base=+1
#
Patch0001: 0001-Set-primary-interface-on-OVS-bonds.patch
Patch0002: 0002-Automate-selection-of-active-bond-slave.patch
Patch0003: 0003-Add-support-for-dhclient_args.patch
Patch0004: 0004-Allow-to-specify-the-root-directory-of-the-filesyste.patch
Patch0005: 0005-Add-detailed-exit-codes.patch
Patch0006: 0006-ifcfg-Add-support-for-dns_servers.patch
Patch0007: 0007-Add-support-for-Linux-Bonding-to-os-net-config-ifcfg.patch
Patch0008: 0008-Add-Linux-Bridge-capability-to-os-net-config-ifcfg.patch
Patch0009: 0009-Fix-kwarg-assignment-in-objects.py.patch

BuildArch:	noarch
BuildRequires:	python-setuptools
BuildRequires:	python2-devel
BuildRequires:	python-pbr
BuildRequires:	python-sphinx
BuildRequires:	python-oslo-sphinx

Requires:	python-setuptools
Requires:	python-argparse
Requires:	python-anyjson
Requires:	python-babel
Requires:	python-eventlet
Requires:	python-oslo-concurrency
Requires:	python-oslo-config
Requires:	python-oslo-utils
Requires:	python-netaddr
Requires:	python-iso8601
Requires:	python-six >= 1.5.0
Requires:	PyYAML

%description
Host network configuration tool for OpenStack.

%prep

%setup -q -n %{name}-%{version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1

sed -i '/setuptools_git/d' setup.py
sed -i s/REDHATOSNETCONFIGVERSION/%{version}/ os_net_config/version.py
sed -i s/REDHATOSNETCONFIGRELEASE/%{release}/ os_net_config/version.py

%build
%{__python} setup.py build
%{__python} setup.py build_sphinx

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# Delete tests
rm -fr %{buildroot}%{python_sitelib}/os_net_config/tests

%files
%doc README.rst
%doc LICENSE
%doc doc/build/html
%{_bindir}/os-net-config
%{python_sitelib}/os_net_config*


%changelog
* Fri Nov 06 2015 Mike Burns <mburns@redhat.com> 0.1.4-6
- Fix kwarg assignment in objects.py rhbz#1244010
- Add Linux Bridge capability to os-net-config ifcfg rhbz#1244010
- Add support for Linux Bonding to os-net-config ifcfg rhbz#1244010

* Wed Oct 14 2015 Mike Burns <mburns@redhat.com> 0.1.4-5
- Remove unit tests from rpm rhbz#1271689

* Thu Sep 24 2015 James Slagle <jslagle@redhat.com> 0.1.4-4
- ifcfg: Add support for dns_servers

* Fri Sep 04 2015 Mike Burns <mburns@redhat.com> 0.1.4-3
- Add --detailed-exit-codes
- Allow to specify the root directory of the filesystem
- Add support for dhclient_args

* Thu Jun 11 2015 Mike Burns <mburns@redhat.com> 0.1.4-2
- Automate selection of active bond slave
- Set primary interface on OVS bonds

* Thu Jun 04 2015 Mike Burns <mburns@redhat.com> 0.1.4-1
- Update to upstream 0.1.4

* Mon May 11 2015 Mike Burns <mburns@redhat.com> 0.1.3-1
- Update to upstream 0.1.3

* Mon May 11 2015 Mike Burns <mburns@redhat.com> 0.1.2-1
- Update to upstream 0.1.2

* Fri May 08 2015 Mike Burns <mburns@redhat.com> 0.1.3-2
- Update to upstream 0.1.3

* Fri Feb 13 2015 Ben Nemec <bnemec@redhat.com> - 0.1.1-3
- Fix BuildRequires in the srpm

* Fri Feb 06 2015 Ben Nemec <bnemec@redhat.com> - 0.1.1-2
- Cleanups from package review

* Mon Dec 22 2014 Ben Nemec <bnemec@redhat.com> - 0.1.1-1
- Initial Fedora package
